/*
** pat_boolean.h for  in 
** 
** Made by 
** Login   <vianney@epita.fr>
** 
** Started on  Wed Sep  1 06:50:24 1999 
** Last update Thu Oct 28 20:21:35 1999 
*/
#ifndef PAT_BOOLEAN_H
#define PAT_BOOLEAN_H	1

#include "pat.h"

#define TRUE_STR	"true"
#define FALSE_STR	"false"

extern t_pat		boolean_pat;

/* PROTO pat_boolean.c */
/* pat_boolean.c */
t_status boolean_pat_name P((void *data, t_id *optional_id, char *str, int max_len));
t_status boolean_pat_off P((void *data, char *buf, int len, t_off *off_return));
t_status boolean_pat_extract P((void *data, char *buf, int len, char *str, int max_len));
t_status boolean_pat_insert P((void *data, char *buf, int len, char *value));
t_status boolean_pat_get_choices P((void *data, char *buf, int len, t_vec *vec_str, t_boolean *do_sort_return));
#endif
